#ifndef SERVER_H
#define SERVER_H

#include "tier0/platform.h"

interface IServer
{
public:
	static void LoadGame( const char *psz );
	static void Think( float fDelta );
	static void UnloadGame( const char *psz );
};

class CBasePlayer;

abstract_class IIClient
{
public:
	uint64_t playerID;
	CBasePlayer *pBasePlayer;
};

#endif
